Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1992940 - mingw64-openal: wrong pkg-config
Summary: mingw64-openal: wrong pkg-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-openal-soft
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-12 05:11 UTC by Marián Konček
Modified: 2021-08-21 01:19 UTC (History)
3 users (show)

Fixed In Version: mingw-openal-soft-1.18.2-9.fc34 mingw-openal-soft-1.18.2-9.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-21 01:05:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Marián Konček 2021-08-12 05:11:34 UTC
Description of problem:
Running
# mingw64-pkg-config --libs openal

Gives this output:
-L/usr/x86_64-w64-mingw32/sys-root/mingw//usr/x86_64-w64-mingw32/sys-root/mingw/lib -lOpenAL32

The two entries are not separated.

Version-Release number of selected component (if applicable):
mingw-openal-soft-1.18.2-8.fc34.src.rpm

Comment 1 Fedora Update System 2021-08-12 07:53:14 UTC
FEDORA-2021-67b40148e8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-67b40148e8

Comment 2 Fedora Update System 2021-08-12 07:53:15 UTC
FEDORA-2021-19d5e1289e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-19d5e1289e

Comment 3 Fedora Update System 2021-08-13 01:23:13 UTC
FEDORA-2021-19d5e1289e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-19d5e1289e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-19d5e1289e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-08-13 01:53:33 UTC
FEDORA-2021-67b40148e8 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-67b40148e8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-67b40148e8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-08-21 01:05:52 UTC
FEDORA-2021-19d5e1289e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-08-21 01:19:23 UTC
FEDORA-2021-67b40148e8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.